
Summary: Small mathematic packet with MathCad style
Name: smathstudio
Version: 0.89.8
Release: %mkrel 1
License: EULA
Group: Sciences/Mathematics
URL: http://ru.smath.info/forum/default.aspx?g=posts&t=130
Source0: SMathStudioDesktop.0_89.8.Mono.tar.xz
Source1: smathstudio.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mono, mono-winforms, libmono2.0_1, libmono0

%description
A free mathematical package with a graphical interface for the calculation 
of mathematical expressions, and constructing two-dimensional and three-dimensional graphs.

%description -l ru
Бесплатный математический пакет с графическим интерфейсом для вычисления 
математических выражений и построения двумерных и трёхмерных графиков.

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

%setup -n SMathStudioDesktop.0_89.8.Mono

%pre
rm -f %{_bindir}/smathstudio

%post
gzip -d /opt/%{name}-%{version}/lang/*.gz
gzip -d /opt/%{name}-%{version}/examples/*.gz
gzip -d /opt/%{name}-%{version}/book/*.gz

%postun
rm -rf /opt/%{name}-%{version}

%install
rm -r -f /opt/%{name}-%{version}
mkdir $RPM_BUILD_ROOT/opt
mkdir $RPM_BUILD_ROOT/opt/%{name}-%{version}
mkdir $RPM_BUILD_ROOT/opt/%{name}-%{version}/book
mkdir $RPM_BUILD_ROOT/opt/%{name}-%{version}/lang
mkdir $RPM_BUILD_ROOT/opt/%{name}-%{version}/examples

mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/bin
mkdir $RPM_BUILD_ROOT/usr/share
mkdir $RPM_BUILD_ROOT/usr/share/applications
#install -Dm644 *.pc $RPM_BUILD_ROOT/opt/%{name}-%{version}/
install -Dm755 *.dll $RPM_BUILD_ROOT/opt/%{name}-%{version}/
install -Dm755 *.exe $RPM_BUILD_ROOT/opt/%{name}-%{version}/
gzip lang/*
gzip book/*
gzip examples/*
cp lang/* $RPM_BUILD_ROOT/opt/%{name}-%{version}/lang
cp book/* $RPM_BUILD_ROOT/opt/%{name}-%{version}/book
cp examples/* $RPM_BUILD_ROOT/opt/%{name}-%{version}/examples

install -Dm644 %{SOURCE1} $RPM_BUILD_ROOT/opt/%{name}-%{version}/smathstudio.png
echo "//// SMath Studio 0.82" >> $RPM_BUILD_ROOT/opt/%{name}-%{version}/settings.inf
echo "Language=ENG" >> $RPM_BUILD_ROOT/opt/%{name}-%{version}/settings.inf

chmod 666 $RPM_BUILD_ROOT/opt/%{name}-%{version}/settings.inf

install -dm 755 %{buildroot}%{_datadir}/applications
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
GenericName=SMath Studio Desktop
GenericName[ru]=SMath Studio Desktop
Name=SMathStudio
Name[ru]=SMathStudio
Exec=%{_bindir}/smathstudio_mono
Comment=mathematical editor with MathCad style
Icon=/opt/smathstudio-%{version}/smathstudio.png
Type=Application
Categories=Education;Math;
EOF
install -m 0644 %{name}.desktop \
%{buildroot}%{_datadir}/applications/%{name}.desktop

install -dm 755 %{buildroot}%{_bindir}
cat > smathstudio_mono << EOF
#!/bin/sh
exec mono "/opt/%{name}-%{version}/SMathStudio_Desktop.exe" "\$@"
exit
EOF

install -m 7655 smathstudio_mono \
%{buildroot}%{_bindir}/smathstudio_mono

%clean

%files
%defattr(-,root, root)

/opt/%{name}-%{version}
%{_bindir}/smathstudio_mono
%{_datadir}/applications/smathstudio.desktop


%changelog
* Mon Nov 08 2010 Texstar <texstar at gmail.com> 0.89.8-1pclos2010
- 0.89.8

* Mon Mar 29 2010 Texstar <texstar at gmail.com> 0.85-1pclos2010
- import from Alexander Kazancev


